<< zp2sos | FOSSEE_Signal_Processing_Toolbox | zp2tf >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > zp2ss

# zp2ss

Converts zeros / poles to state space.

### Syntax

    [a, b, c, d] = zp2ss (z, p, k)
    [a, b, c] = zp2ss (z, p, k)
    [a, b] = zp2ss (z, p, k)
    a = zp2ss (z, p, k)

### Parameters

z:

  Zeros

p:

  Poles

k:

  Leading coefficient

a:

  State space parameter

b:

  State space parameter

c:

  State space parameter

d:

  State space parameter

### Description

It converts zeros / poles to state space.

### Examples

    z = [1 2 3]
    p = [4 5 6]
    k = 5
    [a, b, c, d] = zp2ss (z, p, k)

### See also

- zp2tf — Converts zeros / poles to a transfer function.
- tf2ss
- abcd

Report an issue
<< zp2sos | FOSSEE_Signal_Processing_Toolbox | zp2tf >>